NetFTSynchronization

## Class NetFTRDTPacket

- java.lang.Object
- - NetFTSynchronization.NetFTRDTPacket

- All Implemented Interfaces:
    java.lang.Comparable

      public class NetFTRDTPacket
      extends java.lang.Object
      implements java.lang.Comparable

  Represents an F/T record received from the Net F/T via RDT.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetFTRDTPacket(int[] fields)` Create a new NetFTRDTPacket object
    `NetFTRDTPacket(int setRDTSequence, int setFTSequence, int setStatus, int setFx, int setFy, int setFz, int setTx, int setTy, int setTz)` Create a new NetFTRDTPacket object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(NetFTRDTPacket o)`
    `int` | `compareTo(java.lang.Object o)`
    `int[]` | `getFTArray()`
    `long` | `getFTSequence()` Get the FT sequence number of this packet.
    `int` | `getFx()` Get the force in the x-axis
    `int` | `getFy()` Get the force in the y-axis.
    `int` | `getFz()` Get the force in the z-axis.
    `long` | `getRDTSequence()` Get the RDT sequence number of this packet.
    `int` | `getStatus()` Get the bit-mapped status code of this packet.
    `int` | `getTx()` Get the torque in the x-axis.
    `int` | `getTy()` Get the torque in the y-axis.
    `int` | `getTz()` Get the torque in the z-axis.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetFTRDTPacket

          public NetFTRDTPacket(int setRDTSequence,
                        int setFTSequence,
                        int setStatus,
                        int setFx,
                        int setFy,
                        int setFz,
                        int setTx,
                        int setTy,
                        int setTz)

      Create a new NetFTRDTPacket object.
      Parameters:
        `setRDTSequence` - The RDT sequence of this packet.
        `setFTSequence` - The F/T sequence of this packet.
        `setStatus` - The bit-mapped status code of this packet.
        `setFx` - The force in the x-axis, in engineering units.
        `setFy` - The force in the y-axis, in engineering units.
        `setFz` - The force in the z-axis, in engineering units.
        `setTx` - The torque in the x-axis, in engineering units.
        `setTy` - The torque in the y-axis, in engineering units.
        `setTz` - The torque in the z-axis, in engineering units.

    - #### NetFTRDTPacket

          public NetFTRDTPacket(int[] fields)

      Create a new NetFTRDTPacket object
      Parameters:
        `fields` - The fields of the RDT data packet, in the order RDTSequence, FTSequence, Status, Fx, Fy, Fz, Tx, Ty, Tz

  - ### Method Detail

    - #### getRDTSequence

          public long getRDTSequence()

      Get the RDT sequence number of this packet. The RDT sequence number increases by one for each packet that is sent, and thus can be used to determine the total number of packets that have been sent by the sensor.
      Returns:
        RDT sequence number of this packet.

    - #### getFTSequence

          public long getFTSequence()

      Get the FT sequence number of this packet. The F/T sequence number increases at the internal sample rate of the Net F/T sensor, and thus can be used to time-stamp the data.
      Returns:
        FT sequence number of this packet.

    - #### getStatus

          public int getStatus()

      Get the bit-mapped status code of this packet.
      Returns:
        The bit-mapped int status code.

    - #### getFx

          public int getFx()

      Get the force in the x-axis
      Returns:
        The force in the x-axis, in engineering units.

    - #### getFy

          public int getFy()

      Get the force in the y-axis.
      Returns:
        The force in the y-axis, in engineering units.

    - #### getFz

          public int getFz()

      Get the force in the z-axis.
      Returns:
        The force in the z-axis, in engineering units.

    - #### getTx

          public int getTx()

      Get the torque in the x-axis.
      Returns:
        The torque in the x-axis, in engineering units.

    - #### getTy

          public int getTy()

      Get the torque in the y-axis.
      Returns:
        The torque in the y-axis, in engineering units.

    - #### getTz

          public int getTz()

      Get the torque in the z-axis.
      Returns:
        the torque in the z-axis, in engineering units.

    - #### getFTArray

          public int[] getFTArray()

    - #### compareTo

          public int compareTo(NetFTRDTPacket o)

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`